Metasploit Pro 4.2.0 Update 2012032802

Document created by jcran on Mar 28, 2012Last modified by jcran on Mar 28, 2012
Version 2Show Document
  • View in full screen mode

Summary

This week's update brings 8 new modules, including functionality for exploiting MS10-002 on IE, HP Data Protector, ManageEngine, FreePBX, Ricoh DC DL-10 SR10 FTP, UltraVNC client, and new post modules for OSX wireless settings and VNC settings.

For more info, check out todb's weekly blog post!

Module Changes


Resolved Bugs & Changes

  • Issue #6544 : 'save' no longer causes saved value to be used even after setting new values.
  • Issue #6531 : Resolved an error when post/windows/manage/migrate converted Errno::EPIPE into String.
  • Issue #6496 : Reloading a module no longer resets options to default.
  • Issue #6542 : Resolved an issue with PHP meterpreter, converting Fixnum into String.
  • Issue #6552 : HTTP / HTTPS handler no longer errors with 'generate_uri_checksum.'
  • Issue #6545 : Exploit-DB ref are now real references, not just URL's.

 

How to Upgrade

Metasploit Pro is upgraded using the Administration menu and choosing the option Software Upgrade. To see how to upgrade your Metasploit installation, view this video in the Rapid7 Community.

Version Information

PRO 4.2.0 2012032101 revision dc5e311c4e899d8c274daca07cd67574bf899ad5 updates to 2012032802 revision 366b2c06fffc7c96b19632c426e9ab38a9ca2917

MSF3 4.2.0 2012032101 revision ddacf1dde826b3b2d921e637b9571875e5558d70 updates to 2012032802 revision a0f0aadad332f7c36caa3f0f8c3562b7e64432dc

Attachments

    Outcomes